Subject: Re: bug#18784: Coultdn't compile emacs-24.4

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Mar 2015 20:29:20 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 16 Mar 2015 14:19:43 -0400
> 
> > Anyway, please don't make that effective for every supported system;
> > e.g., I think it's wrong to do that for Windows, which always produces
> > PIE code.
> 
> Hmm... so maybe the core of the problem is not PIE and -nopie just ends
> up preventing something else (e.g. some kind of address space
> randomization of the code).

I think we don't really understand why this bug happens.  At least I
have no clear idea of how PIE can cause temacs segfault.